export function setLocalStorageDataByFileId(fileId: string, key: string, value: string | number | boolean): void {
    let data = localStorage.getItem(key) ?? '{}';
    data = JSON.parse(data);
    data[fileId] = value;
    localStorage.setItem(key, JSON.stringify(data));
}

export function getLocalStorageDataByFileId(fileId: string, key: string): string | number | boolean {
    let data = localStorage.getItem(key) ?? '{}';
    data = JSON.parse(data);
    return data[fileId];
}
